Package dev.plex.util

# Class ReflectionsUtil

java.lang.Object
dev.plex.util.ReflectionsUtil

public class ReflectionsUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`ReflectionsUtil()`

## Method Summary

Modifier and Type
Method
Description
`static <T> Set<Class<? extends T>>`
`getClassesBySubType(String packageName, Class<T> subType)`
`static Set<Class<?>>`
`getClassesFrom(String packageName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReflectionsUtil

public ReflectionsUtil()

## Method Details

### getClassesFrom

public static Set<Class<?>> getClassesFrom(String packageName)

### getClassesBySubType

public static <T> Set<Class<? extends T>> getClassesBySubType(String packageName, Class<T> subType)